Skip to main content
POST
Query Audit Data

Authorizations

Authorization
string
header
required

m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.

The authorizationCode flow controls access for human users via the m3ter Console application.

Path Parameters

orgId
string
required

UUID of the organization

Query Parameters

pageSize
integer<int32>

Number of audit records to retrieve per page

Required range: 1 <= x <= 200
nextToken
string

nextToken for multi page retrievals

Body

application/json
startDate
string<date-time>
required
endDate
string<date-time>
required
entityType
string
entityId
string
modifiedBy
string
eventType
enum<string>
Available options:
CREATED,
UPDATED,
DELETED
sortDescending
boolean

Response

Return the matching Audit records

entityType
string
entityId
string
modifiedBy
string
modifiedAt
string<date-time>
eventType
enum<string>
Available options:
CREATED,
UPDATED,
DELETED
previousVersion
object
currentVersion
object